## busybox-power 1.20.2power2

=== debian/changelog ===
busybox-power (1.20.2power2) unstable; urgency=low

  * Disable writing out shell history on exit
  * Remove workaround for bug #5317, not required anymore

 -- Dennis Groenen <tj.groenen@gmail.com>  Wed, 19 Sep 2012 23:39:03 +0200
