=== debian/rules ===
--- 
+++ 
@@ -85,6 +85,7 @@
 	install -D -m644 debian/scripts/applets debian/busybox-power/opt/busybox-power/applets
 	install -D -m755 debian/scripts/install-binary.sh debian/busybox-power/opt/busybox-power/install-binary.sh
 	install -D -m755 debian/scripts/uninstall-binary.sh debian/busybox-power/opt/busybox-power/uninstall-binary.sh
+	install -D -m644 debian/scripts/functions debian/busybox-power/opt/busybox-power/functions
 	install -D -m755 $(DIR)/busybox_unstripped debian/busybox-power/opt/busybox-power/busybox.power
 
 binary-arch_all:
