## busybox-power 1.20.2power3

=== debian/changelog ===
busybox-power (1.20.2power3) unstable; urgency=low

  * Exit shell cleanly upon receiving SIGHUP
  * Re-enable writing out shell history on exit

 -- Dennis Groenen <tj.groenen@gmail.com>  Sat, 13 Oct 2012 13:18:27 +0200
