=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,8 @@
 	rm -rf '$(DIR)'
 	cp -al '$(SOURCE_DIR)' '$(DIR)'
 	cp debian/config/config.$* '$(DIR)'/.config
+	grep -qv Diablo /etc/maemo_version \
+		|| cp debian/config/config.$*.diablo '$(DIR)'/.config
 	make -C '$(DIR)' oldconfig
 	touch $@
