## busybox-power 1.21.0power2

=== debian/changelog ===
busybox-power (1.21.0power2) unstable; urgency=low

  * Apply BusyBox 1.21.0 hotfixes
  * Divert busybox binary to /opt/busybox-power

 -- Dennis Groenen <tj.groenen@gmail.com>  Sat, 16 Mar 2013 11:41:43 +0100

busybox-power (1.21.0power1) unstable; urgency=low

  * New upstream release (BusyBox 1.21.0)
  * Correct the symlink locations of several applets
  * Generate busybox-power-althist package

 -- Dennis Groenen <tj.groenen@gmail.com>  Tue, 22 Jan 2013 12:45:45 +0100
