## busybox-power 1.22.1power1

=== debian/changelog ===
busybox-power (1.22.1power1) unstable; urgency=low

  * New upstream release (BusyBox 1.22.1)

 -- Dennis Groenen <tj.groenen@gmail.com>  Thu, 23 Jan 2014 19:29:21 +0100
