## busybox-power 1.23.0power1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 1
-PATCHLEVEL = 21
-SUBLEVEL = 1
+PATCHLEVEL = 23
+SUBLEVEL = 0
 EXTRAVERSION =
 NAME = Unnamed
