=== debian/changelog ===
busybox-power (1.23.0power1) unstable; urgency=low

  * New upstream release (BusyBox 1.23.0)

 -- Dennis Groenen <tj.groenen@gmail.com>  Sun, 28 Dec 2014 16:34:22 +0100
