## busybox-power 1.23.1power1

=== debian/changelog ===
busybox-power (1.23.1power1) unstable; urgency=low

  * New upstream release (BusyBox 1.23.1)

 -- Dennis Groenen <tj.groenen@gmail.com>  Sun, 08 Mar 2015 16:53:04 +0100
