## busybox-power 1.23.1power2

=== debian/changelog ===
busybox-power (1.23.1power2) unstable; urgency=low

  * Re-upload to the autobuilder, no code changes

 -- Dennis Groenen <tj.groenen@gmail.com>  Tue, 17 Mar 2015 18:36:32 +0100
